class CustomButtonModel {
  String name;
  String modName;
  String bgType;
  String bgColor;
  String bgImage;
  String textColor;
  String smallIcon;

  CustomButtonModel(
      {this.name,
      this.modName,
      this.bgType,
      this.bgColor,
      this.bgImage,
      this.textColor,
      this.smallIcon});

  CustomButtonModel.fromJson(Map<String, dynamic> json) {
    name = json['name'];
    modName = json['mod_name'];
    bgType = json['bg_type'];
    bgColor = json['bg_color'];
    bgImage = json['bg_image'];
    textColor = json['text_color'];
    smallIcon = json['small_icon'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['name'] = this.name;
    data['mod_name'] = this.modName;
    data['bg_type'] = this.bgType;
    data['bg_color'] = this.bgColor;
    data['bg_image'] = this.bgImage;
    data['text_color'] = this.textColor;
    data['small_icon'] = this.smallIcon;
    return data;
  }
}
